diff --git a/Makefile.am b/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,3 @@
+SUBDIRS = Source
+EXTRA_DIST = README.txt Doc/ChangeLog Doc/lesser.txt
+include_HEADERS = Include/btf.h Include/btf_internal.h
diff --git a/Source/Makefile.am b/Source/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Source/Makefile.am
@@ -0,0 +1,18 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+
+BTFSRC = \
+	btf_maxtrans.c \
+	btf_order.c \
+	btf_strongcomp.c
+
+lib_LTLIBRARIES = libbtf.la
+noinst_LTLIBRARIES = libbtfi.la libbtfl.la
+
+libbtfi_la_SOURCES = $(BTFSRC)
+
+libbtfl_la_SOURCES = $(BTFSRC)
+libbtfl_la_CPPFLAGS = $(AM_CPPFLAGS) -DDLONG
+
+libbtf_la_SOURCES =
+libbtf_la_LIBADD = libbtfi.la libbtfl.la
+libbtf_la_LDFLAGS = -no-undefined -version-info 2:1:1
diff --git a/configure.ac b/configure.ac
new file mode 100644
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,16 @@
+AC_PREREQ([2.65])
+AC_INIT([BTF], [1.1.1], [davis@cise.ufl.edu])
+AC_CONFIG_SRCDIR([Source/btf_order.c])
+AC_CONFIG_HEADER([config.h])
+AM_INIT_AUTOMAKE([foreign])
+LT_INIT
+
+AC_PROG_INSTALL
+AC_PROG_CC
+
+AC_CHECK_HEADERS([UFconfig.h])
+
+AC_CONFIG_FILES([
+	Makefile
+	Source/Makefile])
+AC_OUTPUT
